%define module  prettytable

Name:           python-prettytable
Version:        0.7.2
Release:        %mkrel 7
Summary:        Python library for displaying data in ASCII table format
License:        BSD
Group:          Development/Python
URL:            http://code.google.com/p/prettytable/
Source0:        http://pypi.python.org/packages/source/P/PrettyTable/prettytable-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildArch:      noarch

%description
PrettyTable is a simple Python library designed to make
 it quick and easy to represent tabular data in visually
appealing ASCII tables. It was inspired by the ASCII
tables used in the PostgreSQL shell psql. PrettyTable
allows for selection of which columns are to be printed,
independent alignment of columns (left or right justified
or centred) and printing of "sub-tables" by specifying a
row range.

%package -n python3-%{module}
Summary:        Python library to display tabular data in tables
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
PrettyTable is a simple Python library designed to make it quick and easy to
represent tabular data in visually appealing ASCII tables. It was inspired by
the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
selection of which columns are to be printed, independent alignment of columns
(left or right justified or centred) and printing of "sub-tables" by specifying
a row range.

%files
%doc README COPYING CHANGELOG
%{python2_sitelib}/%{module}.py*
%{python2_sitelib}/%{module}-%{version}*

%files -n python3-%{module}
%doc README COPYING CHANGELOG
%{python3_sitelib}/%{module}.py*
%{python3_sitelib}/__pycache__/%{module}*
%{python3_sitelib}/%{module}-%{version}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%check
%define enable_tests_python2 0
%if %{enable_tests_python2}
%{__python2} %{module}_test.py
%endif
%define enable_tests_python3 0
%if %{enable_tests_python3}
pushd %{py3dir}
%{__python3} %{module}_test.py
popd
%endif


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.7.2-7.mga6
+ Revision: 970859
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.7.2-6.mga6
+ Revision: 888620
- rebuild for python 3.5
- use new python macros
- improve %%check section

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 745425
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.2-4.mga5
+ Revision: 729329
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-3.mga5
+ Revision: 688224
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.2-2.mga5
+ Revision: 628903
- Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 0.7.2-1.mga5
+ Revision: 610666
- Don't run tests for now during the build
- new version python 0.7.2, to make python-cinderclient installable

* Tue Oct 22 2013 umeabot <umeabot> 0.6.1-3.mga4
+ Revision: 544060
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.1-2.mga4
+ Revision: 499126
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.6.1-1.mga4
+ Revision: 497494
- Update to 0.6.1
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 379284
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 0.6-1.mga3
+ Revision: 314195
- New version

* Sun Nov 04 2012 neoclust <neoclust> 0.5-1.mga3
+ Revision: 313593
- imported package python-prettytable


* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.5-1mdv2011.0
+ Revision: 683262
- import python-prettytable


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.5
- first release for Mandriva 

